#ifndef ADAPT_PERMUTATIONCRSCYCLIC2_H
#define ADAPT_PERMUTATIONCRSCYCLIC2_H

#include "examples/VRP/AdaptedPermutation.h"


namespace AdaptedPermutation
{

/**
 * \ingroup genotypes permutation
 * \brief Permutation genotype: Cyclic version 2 crossover operator (adapted from HeuristicLab)
 */
class AdaptedPermutationCrsCyclic2 : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<AdaptedPermutationCrsCyclic2> AdaptedPermutationCrsCyclic2P;
}
#endif //ADAPT_PERMUTATIONCRSCYCLIC2_H
