#ifndef NEW_PERMUTATIONCRSCYCLIC2_H
#define NEW_PERMUTATIONCRSCYCLIC2_H

#include "examples/VRP/NewPermutation.h"


namespace NewPermutation
{

/**
 * \ingroup genotypes permutation
 * \brief Permutation genotype: Cyclic version 2 crossover operator (adapted from HeuristicLab)
 */
class NewPermutationCrsCyclic2 : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsCyclic2> NewPermutationCrsCyclic2P;
}
#endif //NEW_PERMUTATIONCRSCYCLIC2_H
