#ifndef NEW_CRSOPX_H
#define NEW_CRSOPX_H

#include "examples/VRP/NewPermutation.h"


namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: OPX crossover operator (see e.g. itc.ktu.lt/itc342/Misev342.pdf)
 */
class NewPermutationCrsOPX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsOPX> NewPermutationCrsOPXP;
}
#endif //NEW_CRS_H
