#ifndef NEW_CRSUPMX_H
#define NEW_CRSUPMX_H

#include <ECF/Crossover.h>
#include "examples/VRP/NewPermutation.h"

namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: UMPX crossover operator (see e.g. itc.ktu.lt/itc342/Misev342.pdf)
 */
class NewPermutationCrsUPMX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsUPMX> NewPermutationCrsUPMXP;
}
#endif //NEW_CRSUPMX_H
