#ifndef ADAPT_MUTINS_H_
#define ADAPT_MUTINS_H_


namespace AdaptedPermutation
{

/**
 * \ingroup genotypes AdaptedPermutation
 * \brief AdaptedPermutation genotype: insert mutation operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class AdaptedPermutationMutIns: public MutationOp {
public:
	bool mutate(GenotypeP gene);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<AdaptedPermutationMutIns> AdaptedPermutationMutInsP;
}
#endif /* ADAPT_MUTINS_H_ */
