#ifndef NEW_MUTINS_H_
#define NEW_MUTINS_H_


namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: insert mutation operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class NewPermutationMutIns: public MutationOp {
public:
	bool mutate(GenotypeP gene);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationMutIns> NewPermutationMutInsP;
}
#endif /* NEW_MUTINS_H_ */
