#ifndef NEW_PERMUTATIONMUTINV_H_
#define NEW_PERMUTATIONMUTINV_H_


namespace NewPermutation
{

/**
 * \ingroup genotypes permutation
 * \brief NewPermutation genotype: inversion mutation operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class NewPermutationMutInv: public MutationOp {
public:
	bool mutate(GenotypeP gene);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationMutInv> NewPermutationMutInvP;
}
#endif /* NEW_PERMUTATIONMUTINV_H_ */
