#ifndef NEW_PERMUTATIONMUTTOGGLE_H_
#define NEW_PERMUTATIONMUTTOGGLE_H_


namespace NewPermutation
{

/**
 * \ingroup genotypes permutation
 * \brief NewPermutation genotype: toggle mutation operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class NewPermutationMutToggle: public MutationOp {
public:
	bool mutate(GenotypeP gene);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationMutToggle> NewPermutationMutToggleP;
}
#endif /* NEW_PERMUTATIONMUTTOGGLE_H_ */
