#ifndef ADAPT_CRSDPX_H
#define ADAPT_CRSDPX_H

#include "examples/VRP/AdaptedPermutation.h"


namespace AdaptedPermutation
{

/**
 * \ingroup genotypes AdaptedPermutation
 * \brief AdaptedPermutation genotype: DPX crossover operator (see e.g. itc.ktu.lt/itc342/Misev342.pdf)
 */
class AdaptedPermutationCrsDPX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<AdaptedPermutationCrsDPX> AdaptedPermutationCrsDPXP;
}
#endif //ADAPT_AdaptedPermutationCRSDPX_H
