#ifndef ADAPT_CRSOPX_H
#define ADAPT_CRSOPX_H

#include "examples/VRP/AdaptedPermutation.h"


namespace AdaptedPermutation
{

/**
 * \ingroup genotypes AdaptedPermutation
 * \brief AdaptedPermutation genotype: OPX crossover operator (see e.g. itc.ktu.lt/itc342/Misev342.pdf)
 */
class AdaptedPermutationCrsOPX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<AdaptedPermutationCrsOPX> AdaptedPermutationCrsOPXP;
}
#endif //ADAPT_CRS_H
