#ifndef ADAPT_CRSOX_H
#define ADAPT_CRSOX_H

#include "examples/VRP/AdaptedPermutation.h"

namespace AdaptedPermutation
{

/**
 * \ingroup genotypes AdaptedPermutation
 * \brief AdaptedPermutation genotype: OX crossover operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class AdaptedPermutationCrsOX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<AdaptedPermutationCrsOX> AdaptedPermutationCrsOXP;
}
#endif //ADAPT_CRSPMX_H
