#ifndef NEW_CRSDPX_H
#define NEW_CRSDPX_H

#include "examples/VRP/NewPermutation.h"


namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: DPX crossover operator (see e.g. itc.ktu.lt/itc342/Misev342.pdf)
 */
class NewPermutationCrsDPX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsDPX> NewPermutationCrsDPXP;
}
#endif //NEW_CRSDPX_H
