#ifndef NEW_CRSOX_H
#define NEW_CRSOX_H

#include "examples/VRP/NewPermutation.h"

namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: OX crossover operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class NewPermutationCrsOX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsOX> NewPermutationCrsOXP;
}
#endif //NEW_CRSPMX_H
