#ifndef NEW_CRSOX2_H
#define NEW_CRSOX2_H

#include "examples/VRP/NewPermutation.h"


namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: Order crossover operator variant where algorithm starts from the beginning when copying the values from second parent (adapted from HeuristicLab)
 */
class NewPermutationCrsOX2 : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsOX2> NewPermutationCrsOX2P;
}
#endif //NEW_CRSOX2_H
