#ifndef NEW_CRSPBX_H
#define NEW_CRSPBX_H

#include <ECF/Crossover.h>
#include "examples/VRP/NewPermutation.h"


namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: PBX crossover operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class NewPermutationCrsPBX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsPBX> NewPermutationCrsPBXP;
}
#endif //NEW_CRSPBX_H
