#ifndef NEW_CRSPMX_H
#define NEW_CRSPMX_H

#include "examples/VRP/NewPermutation.h"


namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: PMX crossover operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class NewPermutationCrsPMX : public CrossoverOp
{
public:

	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsPMX> NewPermutationCrsPMXP;
}
#endif //NEW_CRSPMX_H
