#ifndef NEW_CRSSPX_H
#define NEW_CRSSPX_H

#include "examples/VRP/NewPermutation.h"

namespace NewPermutation
{

/**
 * \ingroup genotypes NewPermutation
 * \brief NewPermutation genotype: SPX crossover operator (see e.g. itc.ktu.lt/itc342/Misev342.pdf)
 */
class NewPermutationCrsSPX : public CrossoverOp
{
public:
	bool mate(GenotypeP gen1, GenotypeP gen2, GenotypeP child);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<NewPermutationCrsSPX> NewPermutationCrsSPXP;
}
#endif //NEW_CRSSPX_H
