#include "../../ECF/ECF.h"
#include "VRPEvalOp.h"
#include "AdaptedPermutation.h"
#include "NewPermutation.h"
#include "VRPNewEvalOp.h"


int main(int argc, char **argv)
{
    StateP state (new State);


    VRPEvalOp* vrp = new VRPEvalOp();
    VRPNewEvalOp* nvrp = new VRPNewEvalOp();

    state->setEvalOp(nvrp);

    AdaptedPermutationP adp (new AdaptedPermutation::AdaptedPermutation);

    NewPermutationP np (new NewPermutation::NewPermutation);
    //PermutationP permutationP(new Permutation);
    state->addGenotype(np);

    state->initialize(argc, argv);
    state->run();

    return 0;
}
