#ifndef ADAPT_PERMUTATIONMUTTOGGLE_H_
#define ADAPT_PERMUTATIONMUTTOGGLE_H_


namespace AdaptedPermutation
{

/**
 * \ingroup genotypes permutation
 * \brief AdaptedPermutation genotype: toggle mutation operator (see e.g. http://dx.doi.org/10.1016/j.amc.2007.10.013)
 */
class AdaptedPermutationMutToggle: public MutationOp {
public:
	bool mutate(GenotypeP gene);
	bool initialize(StateP);
	void registerParameters(StateP);
};
typedef boost::shared_ptr<AdaptedPermutationMutToggle> AdaptedPermutationMutToggleP;
}
#endif /* ADAPT_PERMUTATIONMUTTOGGLE_H_ */
